/****************************************
 i2cLCD.h
 file ausiliario di i2cLCD.c
 **************************************/

//#define _XTAL_FREQ 4000000 // 4MHz

//  Definizioni azioni brevi su I2C 
#define i2c_Idle() while((SSP1CON2&0x1F)|(SSP1STATbits.R_nW))
#define i2c_Start() SSP1CON2bits.SEN=1;while(SSP1CON2bits.SEN)
#define i2c_Stop() SSP1CON2bits.PEN=1;while(SSP1CON2bits.PEN)

// -------------- Prototipi ----------------------
void i2c_Init(void);
char i2c_Write(char);
void i2c_ByteWrite(char, char, char);
void i2c_TxData(char);
void LCD_dat(char);
void LCD_cmd(char);
void LCD_clr(void);
void LCD_posyx(char,char);
void LCD_Init(void);
void LCD_str(char *);
void LCD_ROMstr(const char *str);